Bug 1683956 (CVE-2019-17348) - CVE-2019-17348 xen: xsa294: Insufficient TLB flushing when using PCID
Summary: CVE-2019-17348 xen: xsa294: Insufficient TLB flushing when using PCID
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2019-17348
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1685577
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-28 08:11 UTC by Andrej Nemec
Modified: 2019-11-12 08:59 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:49:06 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2019-02-28 08:11:47 UTC
Use of Process Context Identifiers (PCID) was introduced into Xen in
order to improve performance after XSA-254 (and in particular its
Meltdown sub-issue).  This enablement implied changes to the TLB
flushing logic.  One aspect which was overlooked is the safety of
switching between shadow pagetables, which previously relied on the
unconditional flushing of a write to CR3.

With PCID enabled, a switch of shadow pagetable for a 64bit PV guest
fails to invalidate the linear mappings of the previous shadow
pagetable.  As a result, subsequent accesses to the shadow pagetables
may be deemed to be safe by the shadow logic (based on the old shadow
pagetable) but fault when made in practice.

Comment 1 Andrej Nemec 2019-03-05 14:23:26 UTC
References:

https://seclists.org/oss-sec/2019/q1/165

Comment 2 Andrej Nemec 2019-03-05 14:26:15 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1685577]


Note You need to log in before you can comment on or make changes to this bug.